com.dlsc.flexgantt.model.eventline

## Class EventlineSelectionModelEvent

- java.lang.Object
- - java.util.EventObject
  - - com.dlsc.flexgantt.model.eventline.EventlineSelectionModelEvent

- All Implemented Interfaces:
    Serializable

      public class EventlineSelectionModelEvent
      extends EventObject

  An event object used by instances of `IEventlineSelectionModel` to inform listeners about changes to the current selection.
  Since:
    1.0
  Version:
    $Revision: 1.4 $
  Author:
    Dirk Lemmermann
  See Also:
    `IEventlineSelectionModel`, `IEventlineSelectionListener`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EventlineSelectionModelEvent.ID` An enumeration of possible events that can occure inside the selection model.

  - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventlineSelectionModelEvent(IEventlineSelectionModel model, EventlineSelectionModelEvent.ID id, Object eventlineObject)` Constructs a new model event.
    `EventlineSelectionModelEvent(IEventlineSelectionModel model, EventlineSelectionModelEvent.ID id, Object[] eventlineObjects)` Constructs a new model event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object[]` | `getEventlineObjects()` Returns the eventline objects that were added to or removed from the selection model.
    `EventlineSelectionModelEvent.ID` | `getId()` Returns the event ID that can be used to distinguish between different types of selection model events.
    `IEventlineSelectionModel` | `getModel()` Returns the selection model that was the source of the event.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EventlineSelectionModelEvent

          public EventlineSelectionModelEvent(IEventlineSelectionModel model,
                                              EventlineSelectionModelEvent.ID id,
                                              Object[] eventlineObjects)

      Constructs a new model event.
      Parameters:
        `model` - the selection model that is the source of the event
        `id` - an ID identifiying the various event types
        `eventlineObjects` - the eventline objects that were added or removed
      Since:
        1.0

    - #### EventlineSelectionModelEvent

          public EventlineSelectionModelEvent(IEventlineSelectionModel model,
                                              EventlineSelectionModelEvent.ID id,
                                              Object eventlineObject)

      Constructs a new model event.
      Parameters:
        `model` - the selection model that is the source of the event
        `id` - an ID identifiying the various event types
        `eventlineObject` - the eventline object that was added or removed
      Since:
        1.0

  - ### Method Detail

    - #### getId

          public EventlineSelectionModelEvent.ID getId()

      Returns the event ID that can be used to distinguish between different types of selection model events.
      Returns:
        the event ID
      Since:
        1.0

    - #### getModel

          public IEventlineSelectionModel getModel()

      Returns the selection model that was the source of the event.
      Returns:
        the source of the event
      Since:
        1.0

    - #### getEventlineObjects

          public Object[] getEventlineObjects()

      Returns the eventline objects that were added to or removed from the selection model. Might return NULL if objects can not be specified, for example after a call to `IEventlineSelectionModel.clearSelection()`.
      Returns:
        the added / removed eventline objects
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.